Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 22 Mar 2023 02:41:08 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Mobile number: 33776589
 Order # 7816887630

I ordered since march 1st  and used a benefit debit card to pay but they said the payment didn’t go through, and the 3 bd credit I have was credited for no reason and I didn't be able to use it when I tried to order again. I want a refund to my bank account not to my credit here!!!!

I sent 3 emails and 2 of them requested a mobile number and order number I sent it to them but still, nobody contacted or emailed me about the problem! It is been more than 20 days and no response!

I can't believe how your stores don't care about customer problems and don't even try to solve them!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5905564